Download it now!
Bug 69645 - EDITING: Impress crashes adding a animation with random effects on multiples objects
Summary: EDITING: Impress crashes adding a animation with random effects on multiples ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1.1.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.2.0 target:4.1.4 target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-21 14:44 UTC by ediaz
Modified: 2014-02-04 12:02 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Test file with objects (34.77 KB, application/vnd.oasis.opendocument.presentation)
2013-09-21 14:44 UTC, ediaz
Details
valgrind log (19.33 KB, text/plain)
2013-11-04 14:25 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ediaz 2013-09-21 14:44:01 UTC
Created attachment 86250 [details]
Test file with objects

for reproduce, select like 20 objects and try to animate with random efects.

press F5 to play.

the Impress crashes.

Version: 4.1.1.2
Build ID: 7e4286b58adc75a14f6d83f53a03b6c11fa2903
Comment 1 Caolán McNamara 2013-11-04 14:25:17 UTC
Created attachment 88617 [details]
valgrind log
Comment 2 Caolán McNamara 2013-11-05 11:47:15 UTC
reproducible
Comment 3 Commit Notification 2013-11-05 12:04:41 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1563162131ae00cd2a33c59349567a7b820dc5db

Resolves: fdo#69645 Parent Node disposed and mpParent pointing to junk



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-11-07 15:37:31 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8371cd6cee123d94b0b4b60b0d5b2d3795338fbe&h=libreoffice-4-1

Resolves: fdo#69645 Parent Node disposed and mpParent pointing to junk


It will be available in LibreOffice 4.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-02-04 12:02:12 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8bc81f6f16a842ccb9f2dba01165d0c62697736c

Related: fdo#69645 don't know if mxParent could become invalid..



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.